## org.eclipse.datatools.connectivity.ui.wizards
Class ProfilePropertyPage

    java.lang.Object
      PropertyPage
          org.eclipse.datatools.connectivity.ui.wizards.ProfilePropertyPage

Direct Known Subclasses:
  ProfileDetailsPropertyPage

    public abstract class ProfilePropertyPage

extends PropertyPage

Base property page implementation for connection profiles. This implementation takes care of updating the connection profile when OK is pressed.

Author:
  shongxum

Method Summary
`void` `createControl(Composite parent, boolean isReadOnly)`
`void` `dispose()`
`IConnectionProfile` `getConnectionProfile()`
`boolean` `performOk()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createControl

    public void createControl(Composite parent,
                              boolean isReadOnly)

### getConnectionProfile

    public IConnectionProfile getConnectionProfile()

### performOk

    public boolean performOk()

### dispose

    public void dispose()

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.